### Method

# AppStream Component get_addons

since: 0.9.2

#### Declaration [src]

    GPtrArray*
    as_component_get_addons (
      AsComponent* cpt
    )

#### Description [src]

Returns a list of `AsComponent` objects which are addons extending this component in functionality.

This is the reverse of %as_component_get_extends().

Available since: 0.9.2

#### Return value

Type: An array of `AsComponent*`

An array of `AsComponent`.

The returned data is owned by the instance.